using System;
using System.Globalization;
using System.Windows.Data;

namespace AxCopilot.Themes;

public class StringEqualConverter : IValueConverter
{
	public object Convert(object value, Type t, object p, CultureInfo c)
	{
		return value is string text && p is string text2 && text == text2;
	}

	public object ConvertBack(object v, Type t, object p, CultureInfo c)
	{
		return (v is bool && (bool)v) ? p : Binding.DoNothing;
	}
}
